Package kiyut.swing.text.xml

## Class XMLDocument

- java.lang.Object
- - javax.swing.text.AbstractDocument
  - - javax.swing.text.PlainDocument
    - - kiyut.swing.text.xml.XMLDocument

- All Implemented Interfaces:
    `Serializable`, `Document`

      public class XMLDocument
      extends PlainDocument

  A document that can be marked up using XML style.
  Author:
    KIYUT
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.text.AbstractDocument

      `AbstractDocument.AbstractElement, AbstractDocument.AttributeContext, AbstractDocument.BranchElement, AbstractDocument.Content, AbstractDocument.DefaultDocumentEvent, AbstractDocument.ElementEdit, AbstractDocument.LeafElement`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.text.PlainDocument

      `lineLimitAttribute, tabSizeAttribute`

    - ### Fields inherited from class javax.swing.text.AbstractDocument

      `BAD_LOCATION, BidiElementName, ContentElementName, ElementNameAttribute, listenerList, ParagraphElementName, SectionElementName`

    - ### Fields inherited from interface javax.swing.text.Document

      `StreamDescriptionProperty, TitleProperty`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XMLDocument()` | Creates a new instance of XMLDocument

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `find​(String str, int fromIndex, boolean caseSensitive)` | Find the first occurrence of the specified String starting at the specified index.
    `XMLToken` | `getScannerStart​(int pos)` | Return `XMLToken`
    `void` | `insertString​(int offset, String str, AttributeSet a)` |
    `void` | `remove​(int offs, int len)` |

    - ### Methods inherited from class javax.swing.text.PlainDocument

      `createDefaultRoot, getDefaultRootElement, getParagraphElement, insertUpdate, removeUpdate`

    - ### Methods inherited from class javax.swing.text.AbstractDocument

      `addDocumentListener, addUndoableEditListener, createBranchElement, createLeafElement, createPosition, dump, fireChangedUpdate, fireInsertUpdate, fireRemoveUpdate, fireUndoableEditUpdate, getAsynchronousLoadPriority, getAttributeContext, getBidiRootElement, getContent, getCurrentWriter, getDocumentFilter, getDocumentListeners, getDocumentProperties, getEndPosition, getLength, getListeners, getProperty, getRootElements, getStartPosition, getText, getText, getUndoableEditListeners, postRemoveUpdate, putProperty, readLock, readUnlock, removeDocumentListener, removeUndoableEditListener, render, replace, setAsynchronousLoadPriority, setDocumentFilter, setDocumentProperties, writeLock, writeUnlock`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLDocument

          public XMLDocument()

      Creates a new instance of XMLDocument

  - ### Method Detail

    - #### getScannerStart

          public XMLToken getScannerStart​(int pos)
                                   throws BadLocationException

      Return `XMLToken`
      Parameters:
        `pos` - position
      Returns:
        `XMLToken`
      Throws:
        `BadLocationException` - if pos was not a valid part of the document

    - #### insertString

          public void insertString​(int offset,
                                   String str,
                                   AttributeSet a)
                            throws BadLocationException

      Specified by:
        `insertString` in interface `Document`
      Overrides:
        `insertString` in class `PlainDocument`
      Throws:
        `BadLocationException`

    - #### remove

          public void remove​(int offs,
                             int len)
                      throws BadLocationException

      Specified by:
        `remove` in interface `Document`
      Overrides:
        `remove` in class `AbstractDocument`
      Throws:
        `BadLocationException`

    - #### find

          public int find​(String str,
                          int fromIndex,
                          boolean caseSensitive)
                   throws BadLocationException

      Find the first occurrence of the specified String starting at the specified index.
      Parameters:
        `str` - `String` to find
        `fromIndex` - the specified index
        `caseSensitive` - true or false
      Returns:
        the offset if the string argument occurs as a substring, otherwise return -1
      Throws:
        `BadLocationException` - if fromIndex was not a valid part of the document